echo off
rem
rem setLogLevel demo script
rem
rem    arg 1 is severity level {CRITICAL|ERROR|WARNING|INFO|DEBUG}

call setLogLevel WARNING
rem The following record will NOT be logged
call addLogRecord setLogLevelDemo.cmd INFO "Demo cmd record"
rem The following record will be logged
call addLogRecord setLogLevelDemo.cmd WARNING "Demo cmd record"
call setLogLevel INFO
rem The following record will now be logged
call addLogRecord setLogLevelDemo.cmd INFO "Demo cmd record"
echo This script produced 4 new log records in the following order:
echo   1. A record setting the minimum severity level to WARNING
echo   2. The addLogRecord WARNING record
echo   3. A record setting the minimum severity level to INFO
echo   4. The second addLogRecord INFO record
